Prilagođene domene
GET https://tistos.com/api/domains/available
curl --request GET \
--url 'https://tistos.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Детаљи | Опис |
|---|---|---|
| search | Opcionalno Низ | Pretraživački niz. |
| search_by | Opcionalno Низ | Koje polje pretražujete. Dozvoljene vrednosti su: host. |
| datetime_field | Opcionalno Низ | Dozvoljene vrednosti: datetime, last_datetime |
| datetime_start | Opcionalno Низ | Филтрирајте резултате почев од овог датума и времена. Формат Y-m-d H:i:s. |
| datetime_end | Opcionalno Низ | Филтрирајте резултате до овог датума и времена. Формат Y-m-d H:i:s. |
| order_by | Opcionalno Низ | Koje polje da se koristi za sortiranje rezultata. Dozvoljene vrednosti su: domain_id, datetime, last_datetime, host. |
| order_type | Opcionalno Низ | Redosled rezultata. Dozvoljene vrednosti su: ASC za uzlazno sortiranje, i DESC za silazno sortiranje. |
| page | Opcionalno Ceo broj | Број странице за коју желите резултате. Подразумевано је 1. |
| results_per_page | Opcionalno Ceo broj | Колико резултата желите по страници. Дозвољене вредности су: 10, 25, 50, 100, 250, 500, 1000. Подразумевано је 25. |
{
"data": [
{
"id": 1,
"type": 0,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 19:28:19",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/domains/available?page=1",
"last": "https://tistos.com/api/domains/available?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/domains/available?page=1"
}
}
GET https://tistos.com/api/domains/
curl --request GET \
--url 'https://tistos.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Детаљи | Опис |
|---|---|---|
| search | Opcionalno Низ | Pretraživački niz. |
| search_by | Opcionalno Низ | Koje polje pretražujete. Dozvoljene vrednosti su: host. |
| is_enabled | Opcionalno Boolean | |
| datetime_field | Opcionalno Низ | Dozvoljene vrednosti: datetime, last_datetime |
| datetime_start | Opcionalno Низ | Филтрирајте резултате почев од овог датума и времена. Формат Y-m-d H:i:s. |
| datetime_end | Opcionalno Низ | Филтрирајте резултате до овог датума и времена. Формат Y-m-d H:i:s. |
| order_by | Opcionalno Низ | Koje polje da se koristi za sortiranje rezultata. Dozvoljene vrednosti su: domain_id, datetime, last_datetime, host. |
| order_type | Opcionalno Низ | Redosled rezultata. Dozvoljene vrednosti su: ASC za uzlazno sortiranje, i DESC za silazno sortiranje. |
| page | Opcionalno Ceo broj | Број странице за коју желите резултате. Подразумевано је 1. |
| results_per_page | Opcionalno Ceo broj | Колико резултата желите по страници. Дозвољене вредности су: 10, 25, 50, 100, 250, 500, 1000. Подразумевано је 25. |
{
"data": [
{
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 19:28:19",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/domains?page=1",
"last": "https://tistos.com/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/domains?page=1"
}
}
GET https://tistos.com/api/domains/{domain_id}
curl --request GET \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 19:28:19",
}
}
POST https://tistos.com/api/domains
| Parametri | Детаљи | Опис |
|---|---|---|
| host | Obavezno Низ | - |
| custom_index_url | Opcionalno Низ | - |
| custom_not_found_url | Opcionalno Низ | - |
curl --request POST \
--url 'https://tistos.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://tistos.com/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/domains/{domain_id}
| Parametri | Детаљи | Опис |
|---|---|---|
| host | Opcionalno Низ | - |
| custom_index_url | Opcionalno Низ | - |
| custom_not_found_url | Opcionalno Низ | - |
curl --request POST \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/domains/{domain_id}
curl --request DELETE \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \